<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.infinispan.cache-container.local-cache.store.custom.write.through" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value=""/>
        <elem name="addr-params" value="profile,subsystem,cache-container,local-cache,store,write"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.infinispan"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.clustering.infinispan.cache-configuration.store.write.$cache-container.$local-cache"/>
    </provides>
    <refs>
        <ref feature="subsystem.infinispan.cache-container.local-cache.store.custom"/>
        <ref feature="subsystem.infinispan.cache-container.local-cache"/>
        <ref feature="subsystem.infinispan.cache-container"/>
        <ref feature="subsystem.infinispan"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="cache-container" feature-id="true"/>
        <param name="local-cache" feature-id="true"/>
        <param name="subsystem" feature-id="true" default="infinispan"/>
        <param name="store" feature-id="true" default="custom"/>
        <param name="write" feature-id="true" default="through"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
    </params>
</feature-spec>